Package org.snpsift

# Enum Class SnpSiftCmdVcf2Tped.UseMissing

java.lang.Object
java.lang.Enum<SnpSiftCmdVcf2Tped.UseMissing>
org.snpsift.SnpSiftCmdVcf2Tped.UseMissing

All Implemented Interfaces:
  `Serializable`, `Comparable<SnpSiftCmdVcf2Tped.UseMissing>`, `Constable`

Enclosing class:
  `SnpSiftCmdVcf2Tped`

public static enum SnpSiftCmdVcf2Tped.UseMissing extends Enum<SnpSiftCmdVcf2Tped.UseMissing>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DO_NOT_USE`
`MISSING`
`REFERENCE`

## Method Summary

Modifier and Type
Method
Description
`static SnpSiftCmdVcf2Tped.UseMissing`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SnpSiftCmdVcf2Tped.UseMissing[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DO_NOT_USE

public static final SnpSiftCmdVcf2Tped.UseMissing DO_NOT_USE

### MISSING

public static final SnpSiftCmdVcf2Tped.UseMissing MISSING

### REFERENCE

public static final SnpSiftCmdVcf2Tped.UseMissing REFERENCE

## Method Details

### values

public static SnpSiftCmdVcf2Tped.UseMissing[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SnpSiftCmdVcf2Tped.UseMissing valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null